package com.ruoyi.project.ticket.service.impl;

import com.ruoyi.project.ticket.domain.THazardWorkPermit;
import com.ruoyi.project.ticket.mapper.THazardWorkPermitMapper;
import com.ruoyi.project.ticket.service.ITHazardWorkPermitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2021-10-25
 */
@Service
public class THazardWorkPermitServiceImpl implements ITHazardWorkPermitService {

    @Autowired
    private THazardWorkPermitMapper tHazardWorkPermitMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param aId 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public THazardWorkPermit selectTHazardWorkPermitById(Long aId) {
        return tHazardWorkPermitMapper.selectTHazardWorkPermitById(aId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param tHazardWorkPermit 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<THazardWorkPermit> selectTHazardWorkPermitList(THazardWorkPermit tHazardWorkPermit) {
        return tHazardWorkPermitMapper.selectTHazardWorkPermitList(tHazardWorkPermit);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param tHazardWorkPermit 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTHazardWorkPermit(THazardWorkPermit tHazardWorkPermit) {
        return tHazardWorkPermitMapper.insertTHazardWorkPermit(tHazardWorkPermit);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param tHazardWorkPermit 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTHazardWorkPermit(THazardWorkPermit tHazardWorkPermit) {
        return tHazardWorkPermitMapper.updateTHazardWorkPermit(tHazardWorkPermit);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param aIds 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTHazardWorkPermitByIds(Long[] aIds) {
        return tHazardWorkPermitMapper.deleteTHazardWorkPermitByIds(aIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param aId 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteTHazardWorkPermitById(Long aId) {
        return tHazardWorkPermitMapper.deleteTHazardWorkPermitById(aId);
    }
}
